The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Upload the Diagnostic Trace File

Prev Next

This URL will upload the diagnostic trace file.

Resource URL

PUT /sensor/<sensor_id>/diagnosticstrace/upload

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
sensor id Sensor id Number Yes

Payload Request Parameters: None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status returned Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/diagnosticstrace/upload

Payload

None

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is Inactive
3 500 1001 Internal error message: There is another request the same as yours to Sensor in progress, Try LATER.